SUEXEC(8)

NAME
suexec - switch user for Apache CGI execution

SYNOPSIS
suexec -V

DESCRIPTION
suexec is the “wrapper” support program for the suexec behaviour for the Apache httpd(8) server. It is run from within the server automatically to switch the user when an external program has to be run under a different user.

The options are as follows:

-V  Display the list of compile-time settings used when suexec was built. No other action is taken.

Because this program is only used internally by httpd(8), there are no other ways to directly invoke suexec.

In order to work correctly, the suexec binary should be owned by “root” and have the SETUID execution bit set. OpenBSD currently does not install suexec with the SETUID bit set, so a change of file mode is necessary to enable it:

    # chmod u+s /usr/sbin/suexec

SEE ALSO
httpd(8)

Apache suEXEC Support: /usr/share/doc/html/httpd/suexec.html